<?php
if (have_posts()) {
    while (have_posts()) { the_post();
        ?>
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?> >
            <?php
            the_content();
            wp_link_pages();

        	// If comments are open or we have at least one comment, load up the comment template.
	        if ( comments_open() || get_comments_number() ) {
              comments_template();
            };

             ?>
        </div>
    <?php
    }//While have_posts
}//If have_posts